import { PureComponent } from 'react';
import TreeNode from '../controllers/tree-node';
export default class TreeTitle extends PureComponent<{
    treeNode: TreeNode;
    isModal?: boolean;
    expanded: boolean;
    hidden: boolean;
    locked: boolean;
    anchored: boolean;
    expandable: boolean;
}> {
    state: {
        editing: boolean;
        error: boolean;
        title: string;
        condition?: boolean;
        visible?: boolean;
        filterWorking: boolean;
        keywords: string;
        matchSelf: boolean;
    };
    private lastInput?;
    private enableEdit;
    private cancelEdit;
    private saveEdit;
    private handleKeyUp;
    private setCaret;
    componentDidMount(): void;
    deleteClick: () => void;
    onEnterParams: () => void;
    render(): import("react").JSX.Element;
}
export declare const ExpandionLevelBtn: (props: any) => import("react").JSX.Element;
