import { IPublicModelNode, IPublicModelDropLocation, IPublicModelLocateEvent } from '@gant-lowcode/lowcode-types';
/**
 * 停留检查计时器
 */
export default class DwellTimer {
    private timer;
    private previous?;
    private event?;
    private decide;
    private timeout;
    constructor(decide: (node: IPublicModelNode, event: IPublicModelLocateEvent) => void, timeout?: number);
    focus(node: IPublicModelNode, event: IPublicModelLocateEvent): void;
    tryFocus(loc?: IPublicModelDropLocation | null): void;
    reset(): void;
}
